mina2 (2.1.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.1.5
  * Remove SO_SNDBUF patch added for Debian #986866. The upstream version
    added code to check the socket capabilities before attempting to set
    the SO_SNDBUF.
  * Bump Standards-Version to 4.6.0; no changes necessary

 -- tony mancill <tmancill@debian.org>  Wed, 01 Dec 2021 21:19:44 -0800

mina2 (2.1.4-2) unstable; urgency=medium

  * Team upload.
  * Add patch to ignore UnsupportedOperationException when setting SO_SNDBUF
    in NioSocketAcceptor (Closes: #986866)

 -- tony mancill <tmancill@debian.org>  Mon, 03 May 2021 09:05:20 -0700

mina2 (2.1.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.1.4.
  * Switch to debhelper-compat = 13.
  * Declare compliance with Debian Policy 4.5.0.
  * Add maven-bundle-plugin.patch and work around a FTBFS due to a bug
    (probably) in bnd or maven-bundle-plugin. (Closes: #971193)

 -- Markus Koschany <apo@debian.org>  Sat, 17 Oct 2020 21:46:40 +0200

mina2 (2.0.19-2) unstable; urgency=medium

  * Depend on libtomcat9-java instead of libtomcat8-java

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 03 Dec 2018 15:45:27 +0100

mina2 (2.0.19-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
  * Use salsa.debian.org Vcs-* URLs

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 19 Nov 2018 13:57:35 +0100

mina2 (2.0.16-3) unstable; urgency=medium

  * Team upload.
  * Add xbean-plugin-version.patch and fix FTBFS due to wrong version
    of maven-xbean-plugin. (Closes: #907001)
  * Switch to compat level 11.
  * Declare compliance with Debian Policy 4.2.1.
  * Remove Damien Raude-Morvan from Uploaders. (Closes: #889413)

 -- Markus Koschany <apo@debian.org>  Tue, 28 Aug 2018 15:31:19 +0200

mina2 (2.0.16-2) unstable; urgency=medium

  * Team upload.
  * Added the missing dependency on libxbean-java
  * Standards-Version updated to 4.1.0

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 26 Sep 2017 10:20:48 +0200

mina2 (2.0.16-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * Switch to debhelper level 10

 -- Emmanuel Bourg <ebourg@apache.org>  Sun, 13 Nov 2016 22:16:27 +0100

mina2 (2.0.15-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * No longer use the 3.x Spring artifacts

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 20 Oct 2016 19:33:29 +0200

mina2 (2.0.13-2) unstable; urgency=medium

  * Team upload.

  [ Markus Koschany ]
  * Ensure that the package can be built twice in a row.
    Override dh_clean target.

  [ tony mancill ]
  * Disable test suite due to flakiness. (Closes: #834682)
    - Thank you to Santiago Vila for the testing.

 -- tony mancill <tmancill@debian.org>  Sat, 17 Sep 2016 19:01:50 -0700

mina2 (2.0.13-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
  * Removed orig-tar.sh and use uscan with debian/copyright File-Excluded
  * Standards-Version updated to 3.9.8 (no changes)
  * Use secure Vcs-* URLs

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 03 May 2016 22:58:16 +0200

mina2 (2.0.9-2) unstable; urgency=medium

  * Enabled the OSGi metadata
  * Build with the DH sequencer instead of CDBS
  * Removed the Maven 2 compatibility patch

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 11 Dec 2015 17:28:52 +0100

mina2 (2.0.9-1) unstable; urgency=medium

  * New upstream release
  * Build with maven-debian-helper instead of Ant
  * Patched AprLibrary.java to fix the compatibility with tomcat-jni 8.x
    (Closes: #796456)
  * debian/control:
    - Removed the dependency on libmx4j-java
    - Downgraded the optional dependency libjzlib-java, libognl-java
      and libtomcat8-java to Recommends
  * debian/orig-tar.sh:
    - No longer filter out the MD4 classes (removed upstream)
    - No longer remove the jar, vsd and javadoc files
      (removed from the source distribution)
    - Use XZ compression for the upstream tarball
  * debian/README.Debian: Removed the reference to the long gone
    filter-codec-netty module
  * debian/watch: Updated to detect the latest releases
  * Moved the package to Git

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 07 Sep 2015 18:24:52 +0200

mina2 (2.0.7+dfsg-2) unstable; urgency=medium

  * Depend on libtomcat8-java instead of libtomcat7-java (Closes: #759644)
  * Fixed the javadoc generation by specifying the source encoding
  * Standards-Version updated to 3.9.6 (no changes)
  * Switch to debhelper level 9

 -- Emmanuel Bourg <ebourg@apache.org>  Sat, 25 Oct 2014 23:35:33 +0200

mina2 (2.0.7+dfsg-1) unstable; urgency=low

  * New upstream release
  * Fixed the watch file
  * debian/control:
    - Updated Standards-Version to 3.9.4 (no changes)
    - Replaced the dependency on libtomcat6-java with libtomcat7-java
    - Use canonical URLs for the Vcs-* fields
  * debian/copyright: Updated to comply with the Copyright Format 1.0
  * debian/orig-tar.sh:
    - Create the source tarball in the parent directory
    - Filter out the .class files included in the upstream tarball

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 26 Jun 2013 16:32:18 +0200

mina2 (2.0.4+dfsg-2) unstable; urgency=low

  * Team upload.
  * Switch to default-jdk. (Closes: #642279).
  * Make copyright file DEP-5 compliant.

 -- Miguel Landaeta <miguel@miguel.cc>  Tue, 20 Sep 2011 21:12:47 -0430

mina2 (2.0.4+dfsg-1) unstable; urgency=low

  [ Miguel Landaeta ]
  * Switch dependencies on Spring Framework 2.5 with 3.0. (Closes: #638537).

  [ Damien Raude-Morvan ]
  * New upstream release.

 -- Damien Raude-Morvan <drazzib@debian.org>  Sat, 20 Aug 2011 13:08:26 +0200

mina2 (2.0.3+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Update Standards-Version 3.9.2: no changes needed.
  * d/maven.{ignoreRules,rules}: Add many missing rules to match
    artifacts from /usr/share/maven-repo.

 -- Damien Raude-Morvan <drazzib@debian.org>  Tue, 03 May 2011 23:26:53 +0200

mina2 (2.0.2+dfsg-1) unstable; urgency=low

  * New upstream release.

 -- Damien Raude-Morvan <drazzib@debian.org>  Sun, 19 Dec 2010 20:25:06 +0100

mina2 (2.0.1+dfsg-1) unstable; urgency=low

  * New upstream release.

 -- Damien Raude-Morvan <drazzib@debian.org>  Sat, 06 Nov 2010 23:36:57 +0100

mina2 (2.0.0+dfsg-1) unstable; urgency=low

  * New upstream final release:
    - d/rules: No more mina-parent pom.
    - d/watch: Only track stable releases now.
  * Update Standards-Version 3.9.1: no changes needed.
  * Enable rxtx support:
    - d/control: Add Build-Depends on librxtx-java.
    - d/build.xml: Enable build of transport-serial module.
    - d/rules: Include RXTXcomm.jar in classpath.
  * d/copyright: Updated and migrated to DEP-5 format.
  * d/control: Fix Vcs-* to use mina2 repository.
  * d/control: Drop depends on JRE runtime (aka new Java Policy).

 -- Damien Raude-Morvan <drazzib@debian.org>  Sat, 02 Oct 2010 14:12:30 +0200

mina2 (2.0.0~RC1+dfsg-2) unstable; urgency=low

  [ Damien Raude-Morvan ]
  * debian/maven.rules: Transform more dependencies
  * debian/rules: Install parent's POMs

  [ Torsten Werner ]
  * Let 'maintainers' start with uppercase M.
  * Switch to source format 3.0.
  * Update Standards-Version: 3.8.4.

 -- Torsten Werner <twerner@debian.org>  Sun, 11 Apr 2010 01:00:41 +0200

mina2 (2.0.0~RC1+dfsg-1) unstable; urgency=low

  * New upstream release (RC)

 -- Damien Raude-Morvan <drazzib@debian.org>  Tue, 20 Oct 2009 20:58:29 +0200

mina2 (2.0.0~M6+dfsg-1) unstable; urgency=low

  * New upstream release (unstable).
    - Copy "mina" package to "mina2"
    - Build-Depends on libtomcat6-java and libognl-java
    - Append "Mina 2.x" in extended description
  * Switch from javahelper to cdbs:
    - Remove javahelper from Build-Depends
    - Build-Depends on ant and cdbs
    - Use debian/build.xml and debian/ant.properties
  * Bump debhelper to >= 7
  * Maven POMs:
    - Add a Build-Depends-Indep dependency on maven-repo-helper
    - Use mh_installpom and mh_installjar to install the POM and the jar to the
      Maven repository
    - debian/maven.rules: Install all JAR with "2.x" currentVersion
  * Update debian/watch to track 2.x releases
  * Update debian/copyright:
    - Copyrights years
    - New note about removal of MD4.java/MD4Provider.java (unclear license)
  * Cleanup get-orig-source:
    - Create a debian/orig-tar.sh with exlusion list in debian/orig-tar.exclude
  * debian/README.Debian:
    - Document removal of MD4 provider (used for NTLM)

 -- Damien Raude-Morvan <drazzib@debian.org>  Tue, 13 Oct 2009 22:48:17 +0200

mina (1.1.7.dfsg-6) unstable; urgency=low

  * Enable build of mina-integration-spring :
   - debian/control: add B-D on libspring-beans to build mina-integration-spring
   - debian/libmina-java.jlibs: add new mina-integration-spring.jar
   - debian/rules: add rules tu build mina-integration-spring
  * Bump Standards-Version 3.8.3 (no changes needed)
    - Move libmina-java to "java" section
  * Set Maintainer field to Debian Java Team
  * Add myself as Uploaders
  * Update my email address
  * Rework dependencies:
    - debian/rules: remove jh_depends usage
    - debian/control: downgrade libjzlib-java and libmx4j-java to Recommends
    - debian/control: add Suggests on libspring-beans-2.5-java

 -- Damien Raude-Morvan <drazzib@debian.org>  Fri, 25 Sep 2009 23:23:34 +0200

mina (1.1.7.dfsg-5) unstable; urgency=low

  * Add Build-Depends on gjdoc for dh_javadoc helper (Closes: #507203)
    Thanks to James Westby <james.westby@canonical.com>.
  * Move examples (sample source code) to libmina-java-doc package

 -- Damien Raude-Morvan <drazzib@drazzib.com>  Sat, 29 Nov 2008 21:05:49 +0100

mina (1.1.7.dfsg-4) unstable; urgency=low

  * debian/control:
    - As stated by Debian Java Policy, add a Depends on
      required JRE (version >=5 and headless). Use openjdk-6-jre-headless as
      default alternative.
    - Depends on debhelper ">= 5" instead of ">> 5"
    - Reformat and correct typo in debian packages description
  * debian/watch: correct dversionmangle to escape ".dfsg" from version number
  * debian/rules: give to jh_build options '-source 1.5 -target 1.5' to compile
    to 1.5 .class format (without that we get OpenJDK6 default class format
    which is 1.6)
  * debian/copyright:
    - Add a note about items stripped from upstream tarball.
    - Reformat debian packaging copyright
  * Rewrite Abstract of Mina package's doc-base.

 -- Damien Raude-Morvan <drazzib@drazzib.com>  Thu, 14 Aug 2008 01:16:52 +0200

mina (1.1.7.dfsg-3) unstable; urgency=low

  * Initial release. (Closes: #491626)
  * debian/control: Use differents synopses for libmina-java and -doc
  * debian/rules:
    - Use dh_installexamples for installing sample code
    - Strip *.vsd files from orig.tar.gz (Microsoft Visio documents)
  * debian/copyright: Licence packaging to BSD licence

 -- Damien Raude-Morvan <drazzib@drazzib.com>  Sat, 02 Aug 2008 01:16:12 +0200

mina (1.1.7.dfsg-2) unstable; urgency=low

  * Use dh_javadoc for generating Javadoc

 -- Damien Raude-Morvan <drazzib@drazzib.com>  Tue, 22 Jul 2008 21:26:43 +0200

mina (1.1.7.dfsg-1) unstable; urgency=low

  * Thanks to Rail Aliev <rail@i-rs.ru> for his packaging help

 -- Damien Raude-Morvan <drazzib@drazzib.com>  Tue, 22 Jul 2008 20:30:20 +0200
